Important Note:

From 23 September 2017, you will be unable to login to My IB if you are not using one of the following web browsers:

Firefox version 27 or higher, Microsoft Edge, Microsoft Internet Explorer, Google Chrome 38 or higher, Safari Version 7 or higher, Mobile Safari Version 5 or higher, and Android 6 or higher.

If your web browser is not listed above, you will most likely see a “TLS 1.0 encryption error” so we advise you to upgrade your browser before 23 September.

Why?

We use the Salesforce platform for many of our IB applications. Salesforce are upgrading their security on 23 September and this means that users of older, less secure web browsers will no longer be able to access applications like My IB and everything within.

My IB Login